<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="card">
    <div class="card-body">
      <div class="row">
        <div class="col-sm-8">
          <h3 class="card-title font-weight-bold">{{dataUser.nama}}</h3>
        </div>
        <div class="col-sm-4">
          <button (click)="backClicked()" class="btn btn-success btn-sm pull-right"><i class="fa fa-arrow-left"></i> Kembali</button>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-2 mt-2">
          <!--<i class="fa fa-user" style="font-size:1200%; color: gray"></i>-->
          <!--<object data="assets/img/brand/user.png" type="image/png">-->
          <img [src]="linkImage + '/anggota/' + dataUser.nomorAnggota + '.jpg'" width="100%">
          <!--</object>-->
        </div>
        <div class="col-sm-4" style="font-size: 12px">
          <table style="table-layout: fixed">
            <tbody>
            <tr class="mt-1">
              <td colspan="3">
                <h5 class="font-italic">Data Pribadi</h5>
              </td>
            </tr>
            <tr>
              <td>Nama Lengkap</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nama }}</td>
            </tr>
            <tr>
              <td>Nomor Anggota</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nomorAnggota }}</td>
            </tr>
            <tr>
              <td>Nomor KTP</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nomorKtp }}</td>
            </tr>
            <tr>
              <td>Jenis Kelamin</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.jenisKelamin }}</td>
            </tr>
            <tr>
              <td>Tempat, Tanggal Lahir</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.tempatLahir }} {{ !dataUser.tanggalLahir ? '' : ', ' + dataUser.tanggalLahir | date: 'dd MMM yyyy' }}</td>
            </tr>
            <tr>
              <td>Status Pernikahan</td>
              <td class="p-2">:</td>
              <td>{{dataUser.status}}</td>
            </tr>
            <tr>
              <td class="align-top">Alamat</td>
              <td class="p-2 align-top">:</td>
              <td style="width: 150px;"><span style="word-wrap: break-word">{{dataUser.alamat}}</span></td>
            </tr>
            <tr>
              <td>Pekerjaan</td>
              <td class="p-2">:</td>
              <td>{{dataUser.pekerjaan}}</td>
            </tr>
            <tr>
              <td>Email Anggota</td>
              <td class="p-2">:</td>
              <td>{{dataUser.emailPribadi}}</td>
            </tr>
            <tr>
              <td>Nomor HP</td>
              <td class="p-2">:</td>
              <td>{{dataUser.nomorHp}}</td>
            </tr><br>
            <tr>
              <td colspan="3">
                <h5 class="font-italic">Data Rekening</h5>
              </td>
            </tr>
            <tr>
              <td>Nama Bank</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.namaBank }}</td>
            </tr>
            <tr>
              <td>Cabang Bank</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.cabangBank }}</td>
            </tr>
            <tr>
              <td>Nomor Rekening</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nomorRekening }}</td>
            </tr><br>
            <tr>
              <td colspan="3">
                <h5 class="font-italic">Data Permintaan Simpanan</h5>
              </td>
            </tr>
            <tr>
              <td>Simpanan Wajib</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.simpananWajib | number }}</td>
            </tr>
            <tr>
              <td>Simpanan Sukarela</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.simpananSukarela | number }}</td>
            </tr>
            </tbody>
          </table>
        </div>
        <div class="col-sm-6" style="font-size: 12px;">
          <table>
            <tbody>
            <tr>
              <td colspan="3">
                <h5 class="font-italic">Data Pekerjaan</h5>
              </td>
            </tr>
            <tr>
              <td>Nama Konfederasi</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.namaKonfederasi }}</td>
            </tr>
            <tr>
              <td>Nama Perusahaan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.namaPerusahaan }}</td>
            </tr>
            <tr>
              <td class="align-top">Alamat Perusahaan</td>
              <td class="p-2 align-top">:</td>
              <td style="width: 250px;"><span style="word-wrap: break-word">{{dataUser.alamatPerusahaan}}</span></td>
            </tr>
            <tr>
              <td>Email Perusahaan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.emailPerusahaan }}</td>
            </tr>
            <tr>
              <td>Lokasi Penempatan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.lokasiPenempatan }}</td>
            </tr>
            <tr>
              <td>Nomor NIK</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nomorNik }}</td>
            </tr>
            <tr class="align-top">
              <td>Nama Jabatan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.namaJabatan }}</td>
            </tr>
            <tr>
              <td>Pendapatan per Bulan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.pendapatan }}</td>
            </tr><br>
            <tr>
              <td colspan="3">
                <h5 class="font-italic">Data Registrasi</h5>
              </td>
            </tr>
            <tr>
              <td>Tanggal Registrasi</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.tanggalRegistrasi | date: ' dd MMM yyyy'}}</td>
            </tr>
            <tr>
              <td>Jabatan Keanggotaan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.jabatanKeanggotaan }}</td>
            </tr>
            <tr>
              <td>Wewenang Aplikasi</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.role | roleAnggota }}</td>
            </tr>
            <tr>
              <td>Status Keanggotaan</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.statusAnggota | statusAnggota }}</td>
            </tr><br>
            <tr>
              <td colspan="3">
                <h5 class="font-italic">Data Saudara Dekat</h5>
              </td>
            </tr>
            <tr>
              <td>Nama Saudara Dekat</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.namaSaudaraDekat }}</td>
            </tr>
            <tr>
              <td>Hubungan Saudara</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.hubunganSaudara }}</td>
            </tr>
            <tr>
              <td>Alamat Saudara</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.alamatSaudara }}</td>
            </tr>
            <tr>
              <td>Nomor HP Saudara</td>
              <td class="p-2">:</td>
              <td>{{ dataUser.nomorHpSaudara }}</td>
            </tr>
            <tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
